Subject: [dtn] CRC Treatment in bpbis?

From: Keith Scott <[email-masked]>
Date: Tue, 29 Mar 2016 12:26:02 -0400

In the bpbis-03 draft, aside from the rules to compute (and munge, for
fragmentation) CRCs, there are no processing rules associated with
CRCs.  Do we want to, e.g.:

  o Require that bundles whose primary block CRCs don't match their primary
block contents be discarded (in route)?  Allow for nodes to make the check
as an implementation matter?

  o What about blocks with payload CRCs that don't match the
contents?  Discard them?  Tell receiving application agents about it?

  o Assert that bundle agents can't process other block types that contain
CRCs that don't check?

—keith